Bug 27169 - Dual head problems (Xinerama?)
Dual head problems (Xinerama?)
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-02-12 12:44 EST by Todd
Modified: 2007-04-18 12:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-14 18:27:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XFree86..0.log (31.56 KB, text/plain)
2001-02-12 12:45 EST, Todd
no flags Details
XF86Config-4 (4.12 KB, text/plain)
2001-02-12 12:47 EST, Todd
no flags Details
My XFreelog (36.75 KB, text/plain)
2001-09-15 20:14 EDT, lethalwp
no flags Details
My XFreeconfig (13.06 KB, text/plain)
2001-09-15 20:15 EDT, lethalwp
no flags Details

  None (edit)
Description Todd 2001-02-12 12:44:05 EST
Fresh install of fisher using sawfish, gnome and XF86Config from a working
dual headed Guiness setup on same box (i.e. same exact hardware) makes only
1 working screen. The second screen remains the grey hatched pattern of a
blank X server. Odly enough the mouse can move from 1 screen to annother as
would be expected from a workinf dual head setup and when the screensaver
startsa it starts on both screens. 

Xconfig-4 and X log to follow
Comment 1 Todd 2001-02-12 12:45:40 EST
Created attachment 9800 [details]
Comment 2 Todd 2001-02-12 12:47:10 EST
Created attachment 9801 [details]
Comment 3 David Mason 2001-02-12 12:49:23 EST
hp please try to determine if this is a sawfish problem or X - if X assign to
Comment 4 Havoc Pennington 2001-02-12 13:34:56 EST
You're going to have to hold my hand here a bit, as I have no idea what Xinerama
is like when it works. Is the problem that the background doesn't get drawn on
screen 2? Or that you can't put windows on screen 2? Doesn't Xinerama make the
two heads appear to be a single screen so windows can be halfway on one and
halfway on the other? If so what happens if you put a window in that spot?
Comment 5 Todd 2001-02-12 16:52:27 EST
As I understand it Xinerama is the piece which allows 2 screens to look like 1
big screen. One window can in fact be half on one monitor and half on the second
monitor. (I had this working beautifully under RH 7 with no problem, I'm just
not exactly sure which pieces do what)

Currently it is not possible for a window to be on the second screen at all.

given that screen 0 is to the left of screen 1 (i.e. 2 monitors sitting on my desk)

My current setup allows the following after startx

Screen 0 looks exactly as you would expect in a single monitor setup
		(i.e. background, bar at bottom)
Screen 1 is grey and black hatched

If you move a window past the right edge of screen 0 it disappears
	The mouse however continues onto the hatched "background"

What should appear
	there should be a background, continuation of bottom bar on screen 1 as well as
screen 0
	Dragging a window off the right side of screen 0 should make the window appear on
Comment 6 Todd 2001-02-19 01:01:24 EST
gee, don't I feel stupid.
Looks like the only problem with xinerama is that the line in XF86Config-4

Option "xinerama"

does not start xinerama on startx.
This worked under Guiness.

Xinerama is beautiful after the *obvious*

startx -- +xinerama

is called from the command line
Comment 7 Mike A. Harris 2001-04-12 08:11:53 EDT
So are you using xinerama successfully with sawfish now then?
If so, then there is no bug in sawfish, and if there is a problem
with xinerama in X, we should reassign this t XFree86 component.
Comment 8 alambie 2001-05-03 22:31:39 EDT
I have this problem with a fresh install of sawfish on a Matrox G400 dualhead

Seems XFree86 4.0.3 isn't picking up the 'Option  xinerama' line from

I have changed /etc/X11/gdm/gdm.conf from:



  0=/usr/bin/X11/X +xinerama

If you have loaded Ximian Gnome 1.4 the gdm.conf file has moved to /etc/gdm.

Comment 9 Havoc Pennington 2001-07-12 15:44:01 EDT
I don't think any sawfish bug remains here - mharris feel free to close if you
don't see any oustanding X issues.
Comment 10 lethalwp 2001-09-15 20:12:34 EDT
Bug assigned, but i am on XFree 4.1.0-0.20, when i run X on 2 screens without
xinerama, you can see the 2 screens are working

But when i startx -- -layout testms +xinerama
X quits with a signal 11
Comment 11 lethalwp 2001-09-15 20:14:46 EDT
Created attachment 31836 [details]
My XFreelog
Comment 12 lethalwp 2001-09-15 20:15:12 EDT
Created attachment 31837 [details]
My XFreeconfig
Comment 13 Bennett C. Baker 2001-10-14 18:27:49 EDT
Using stock RH 7.1 XFree86 4.0.3-5: the problem seems to be that XFree86
recognizes the Xinerama option in the ServerLayout section ONLY if a ServerFlags
section exists.  The ServerFlags section can be empty, but it has to be there,
otherwise the only way to get Xinerama is to specify it on the startx command
line ("startx -- +xinerama").  This had me pulling out what little remains of my
hair for over a month.  Good luck!
Comment 14 Mike A. Harris 2001-10-15 18:44:19 EDT
The Xinerama option is clearly documented in the ServerFlags section on
the XF86Config manpage.  It is also documented that the ServerLayout section
can override settings that appear in the ServerFlags section.

Putting an override in the ServerLayout section with no previous setting
in ServerFlags, is undefined behaviour.

I've tested Xinerama configured as documented in the manpage, and it works
for me.

Note You need to log in before you can comment on or make changes to this bug.